;;*****************************************************************************
;;*****************************************************************************
;;  FILENAME: Timer16_1.inc
;;   Version: 2.6, Updated on 2009/1/29 at 23:15:33
;;  Generated by PSoC Designer ???
;;
;;  DESCRIPTION: Assembler declarations for the Timer16 user module interface
;;               for the 22/24/27/29xxx PSoC family of devices
;;-----------------------------------------------------------------------------
;;  Copyright (c) Cypress MicroSystems 2000-2004. All Rights Reserved.
;;*****************************************************************************
;;*****************************************************************************

include "m8c.inc"


;--------------------------------------------------
; Constants for Timer16_1 API's.
;--------------------------------------------------

Timer16_1_CONTROL_REG_START_BIT:           equ 0x01    ; Control register start bit
Timer16_1_INT_REG:                         equ 0x0df
Timer16_1_INT_MASK:                        equ 0x02


;--------------------------------------------------
; Constants for Timer16_1 user defined values
;--------------------------------------------------

Timer16_1_PERIOD:                          equ 0x7fff
Timer16_1_COMPARE_VALUE:                   equ 0x1


;--------------------------------------------------
; Register Address Constants for Timer16_1
;--------------------------------------------------

Timer16_1_COUNTER_LSB_REG:             equ 0x40   ; DR0 Counter register
Timer16_1_COUNTER_MSB_REG:             equ 0x44
Timer16_1_PERIOD_LSB_REG:              equ 0x41   ; DR1 Period register
Timer16_1_PERIOD_MSB_REG:              equ 0x45
Timer16_1_COMPARE_LSB_REG:             equ 0x42   ; DR2 CompareValue register
Timer16_1_COMPARE_MSB_REG:             equ 0x46
Timer16_1_CONTROL_LSB_REG:             equ 0x43   ; Control register
Timer16_1_CONTROL_MSB_REG:             equ 0x47
Timer16_1_FUNC_LSB_REG:                equ 0x40   ; Function register
Timer16_1_FUNC_MSB_REG:                equ 0x44
Timer16_1_INPUT_LSB_REG:               equ 0x41   ; Input register
Timer16_1_INPUT_MSB_REG:               equ 0x45
Timer16_1_OUTPUT_LSB_REG:              equ 0x42   ; Output register
Timer16_1_OUTPUT_MSB_REG:              equ 0x46


;--------------------------------------------------
; Timer16_1 Macro 'Functions'
;--------------------------------------------------

   macro Timer16_1_Start_M
   or    reg[Timer16_1_CONTROL_LSB_REG],  Timer16_1_CONTROL_REG_START_BIT
   endm

   macro Timer16_1_Stop_M
   and   reg[Timer16_1_CONTROL_LSB_REG], ~Timer16_1_CONTROL_REG_START_BIT
   endm

   macro Timer16_1_EnableInt_M
   M8C_EnableIntMask Timer16_1_INT_REG, Timer16_1_INT_MASK
   endm

   macro Timer16_1_DisableInt_M
   M8C_DisableIntMask Timer16_1_INT_REG, Timer16_1_INT_MASK
   endm


; end of file Timer16_1.inc
